MembersUser group members (visible to me) + total

User group members (visible to me) + total

So the owner understands WHO they're actually granting access to when issuing a group grant. total is the real size; items are the ones visible to me (visibility grant).

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/user-groups/example_string/members" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "total": 42,
  "items": [
    {
      "id": "example_string",
      "name": "John Doe",
      "username": "John Doe",
      "image": "example_string",
      "color": "example_string",
      "emoji": "example_string"
    }
  ]
}
GET
/api/v1/vaults/{code}/user-groups/{id}/members
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Responses

totalinteger
Required

Total group members

itemsarray
Required

Members visible to you